package com.simuwang.base.pojo.valuation;

import com.simuwang.base.ano.Excel;

public class PreAssetsValuationGeneralTemplate extends PreAssetsValuationBase {

    @Excel(values = ValuationTableConfig.SUBJECT_CODE)
    private String subjectCode;

    @Excel({ValuationTableConfig.SUBJECT_NAME,ValuationTableConfig.SUBJECT_FORMAT_NAME})
    private String subjectName;

    @Excel(values = ValuationTableConfig.AMOUNT, numerical = true)
    private String amount;

    @Excel(values = ValuationTableConfig.UNIT_COST, numerical = true)
    private String unitCost;

    @Excel(values = ValuationTableConfig.COST, numerical = true)
    private String cost;

    @Excel(values = ValuationTableConfig.RATIO_OF_COST_TO_NET_WORTH, numerical = true)
    private String ratioOfCostToNetWorth;

    @Excel(values = ValuationTableConfig.MARKET_PRICE, numerical = true)
    private String marketPrice;

    @Excel(values = ValuationTableConfig.MARKET_VALUE, numerical = true)
    private String marketValue;

    @Excel(values = ValuationTableConfig.RATIO_OF_MARKET_VALUE_TO_NET_WORTH, numerical = true)
    private String ratioOfMarketValueToNetWorth;

    @Excel(values = ValuationTableConfig.VALUE_ADDED, numerical = true)
    private String valueAdded;

    @Excel(values = ValuationTableConfig.SUSPENSION_INFO)
    private String suspensionInfo;

    @Excel(values = ValuationTableConfig.RIGHT_AND_INTEREST_INFO)
    private String rightAndInterestInfo;

    @Excel(values = ValuationTableConfig.CURRENCY)
    private String currency;

    @Excel(values = ValuationTableConfig.EXCHANGE_RATE)
    private String exchangeRate;

    @Excel(values = ValuationTableConfig.ORI_CURRENCY_COST)
    private String oriCurrencyCost;

    @Excel(values = ValuationTableConfig.ORI_CURRENCY_MARKET_VALUE)
    private String oriCurrencyMarketValue;

    @Excel(values = ValuationTableConfig.ORI_CURRENCY_VALUE_ADDED)
    private String oriCurrencyValueAdded;

    @Excel(values = ValuationTableConfig.SUBJECT_LEVEL)
    private String subjectLevel;

    @Excel(values = ValuationTableConfig.ISSUER)
    private String issuer;

    @Excel(values = ValuationTableConfig.V_PROJECT_CODE)
    private String vProjectCode;

    @Excel(values = ValuationTableConfig.V_PROJECT_NAME)
    private String vProjectName;

    @Excel(values = ValuationTableConfig.COST_RATIO_ASSET)
    private String costRatioAsset;

    @Excel(values = ValuationTableConfig.MV_RATIO_ASSET)
    private String mvRatioAsset;

    @Excel(values = ValuationTableConfig.SPOT_PRICE)
    private String spotPrice;

    @Excel(values = ValuationTableConfig.REMARK)
    private String remark;

    @Excel(values = ValuationTableConfig.ASSUMING_COST)
    private String assumingCost;

    @Excel(values = ValuationTableConfig.HOLDING_STATE)
    private String holdingState;

    @Override
    public AssetsValuationType getType() {
        return AssetsValuationType.GeneralTemplate;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getUnitCost() {
        return unitCost;
    }

    public void setUnitCost(String unitCost) {
        this.unitCost = unitCost;
    }

    public String getCost() {
        return cost;
    }

    public void setCost(String cost) {
        this.cost = cost;
    }

    public String getRatioOfCostToNetWorth() {
        return ratioOfCostToNetWorth;
    }

    public void setRatioOfCostToNetWorth(String ratioOfCostToNetWorth) {
        this.ratioOfCostToNetWorth = ratioOfCostToNetWorth;
    }

    public String getMarketPrice() {
        return marketPrice;
    }

    public void setMarketPrice(String marketPrice) {
        this.marketPrice = marketPrice;
    }

    public String getMarketValue() {
        return marketValue;
    }

    public void setMarketValue(String marketValue) {
        this.marketValue = marketValue;
    }

    public String getRatioOfMarketValueToNetWorth() {
        return ratioOfMarketValueToNetWorth;
    }

    public void setRatioOfMarketValueToNetWorth(String ratioOfMarketValueToNetWorth) {
        this.ratioOfMarketValueToNetWorth = ratioOfMarketValueToNetWorth;
    }

    public String getValueAdded() {
        return valueAdded;
    }

    public void setValueAdded(String valueAdded) {
        this.valueAdded = valueAdded;
    }

    public String getSuspensionInfo() {
        return suspensionInfo;
    }

    public void setSuspensionInfo(String suspensionInfo) {
        this.suspensionInfo = suspensionInfo;
    }

    public String getRightAndInterestInfo() {
        return rightAndInterestInfo;
    }

    public void setRightAndInterestInfo(String rightAndInterestInfo) {
        this.rightAndInterestInfo = rightAndInterestInfo;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getExchangeRate() {
        return exchangeRate;
    }

    public void setExchangeRate(String exchangeRate) {
        this.exchangeRate = exchangeRate;
    }

    public String getOriCurrencyCost() {
        return oriCurrencyCost;
    }

    public void setOriCurrencyCost(String oriCurrencyCost) {
        this.oriCurrencyCost = oriCurrencyCost;
    }

    public String getOriCurrencyMarketValue() {
        return oriCurrencyMarketValue;
    }

    public void setOriCurrencyMarketValue(String oriCurrencyMarketValue) {
        this.oriCurrencyMarketValue = oriCurrencyMarketValue;
    }

    public String getOriCurrencyValueAdded() {
        return oriCurrencyValueAdded;
    }

    public void setOriCurrencyValueAdded(String oriCurrencyValueAdded) {
        this.oriCurrencyValueAdded = oriCurrencyValueAdded;
    }

    public String getSubjectLevel() {
        return subjectLevel;
    }

    public void setSubjectLevel(String subjectLevel) {
        this.subjectLevel = subjectLevel;
    }

    public String getIssuer() {
        return issuer;
    }

    public void setIssuer(String issuer) {
        this.issuer = issuer;
    }

    public String getvProjectCode() {
        return vProjectCode;
    }

    public void setVProjectCode(String vProjectCode) {
        this.vProjectCode = vProjectCode;
    }

    public String getvProjectName() {
        return vProjectName;
    }

    public void setVProjectName(String vProjectName) {
        this.vProjectName = vProjectName;
    }

    public String getCostRatioAsset() {
        return costRatioAsset;
    }

    public void setCostRatioAsset(String costRatioAsset) {
        this.costRatioAsset = costRatioAsset;
    }

    public String getMvRatioAsset() {
        return mvRatioAsset;
    }

    public void setMvRatioAsset(String mvRatioAsset) {
        this.mvRatioAsset = mvRatioAsset;
    }

    public String getSpotPrice() {
        return spotPrice;
    }

    public void setSpotPrice(String spotPrice) {
        this.spotPrice = spotPrice;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAssumingCost() {
        return assumingCost;
    }

    public void setAssumingCost(String assumingCost) {
        this.assumingCost = assumingCost;
    }

    public String getHoldingState() {
        return holdingState;
    }

    public void setHoldingState(String holdingState) {
        this.holdingState = holdingState;
    }

}
